Bug 1162531

Summary: Review Request: perl-MCE - Many-core Engine for Perl providing parallel processing capabilities
Product: [Fedora] Fedora Reporter: Petr Šabata <psabata>
Component: Package ReviewAssignee: Jitka Plesnikova <jplesnik>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: jplesnik, package-review
Target Milestone: ---Flags: jplesnik: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: perl-MCE-1.520-1.fc19 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-05-14 09:00:58 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Petr Šabata 2014-11-11 09:25:31 UTC
Spec URL: https://psabata.fedorapeople.org/pkgs/perl-MCE/perl-MCE.spec
SRPM URL: https://psabata.fedorapeople.org/pkgs/perl-MCE/perl-MCE-1.520-1.fc20.src.rpm
Description:
Many-core Engine (MCE) for Perl helps enable a new level of performance by
maximizing all available cores. MCE spawns a pool of workers and therefore
does not fork a new process per each element of data. Instead, MCE follows
a bank queuing model. Imagine the line being the data and bank-tellers the 
parallel workers. MCE enhances that model by adding the ability to chunk
the next n elements from the input stream to the next available worker.
Fedora Account System Username: psabata

Comment 1 Jitka Plesnikova 2014-11-11 12:51:28 UTC
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-MCE-1.520-1.fc22.noarch.rpm |sort |uniq -c
      1 perl(:MODULE_COMPAT_5.20.1)
      1 perl(Carp)
      1 perl(Exporter)
      1 perl(Fcntl)
      1 perl(File::Path)
      1 perl(IO::Handle)
      1 perl(MCE)
      1 perl(MCE::Queue)
      1 perl(MCE::Signal)
      1 perl(MCE::Util)
      1 perl(Scalar::Util)
      1 perl(Socket)
      1 perl(Storable) >= 2.04
      1 perl(Symbol)
      1 perl(Time::HiRes)
      1 perl(base)
      1 perl(bytes)
      1 perl(constant)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-MCE-1.520-1.fc22.noarch.rpm |sort |uniq -c
      1 perl(MCE) = 1.520
      1 perl(MCE::Core::Input::Generator) = 1.520
      1 perl(MCE::Core::Input::Handle) = 1.520
      1 perl(MCE::Core::Input::Iterator) = 1.520
      1 perl(MCE::Core::Input::Request) = 1.520
      1 perl(MCE::Core::Input::Sequence) = 1.520
      1 perl(MCE::Core::Manager) = 1.520
      1 perl(MCE::Core::Validation) = 1.520
      1 perl(MCE::Core::Worker) = 1.520
      1 perl(MCE::Flow) = 1.520
      1 perl(MCE::Grep) = 1.520
      1 perl(MCE::Loop) = 1.520
      1 perl(MCE::Map) = 1.520
      1 perl(MCE::Queue) = 1.520
      1 perl(MCE::Signal) = 1.520
      1 perl(MCE::Step) = 1.520
      1 perl(MCE::Stream) = 1.520
      1 perl(MCE::Subs) = 1.520
      1 perl(MCE::Util) = 1.520
      1 perl-MCE = 1.520-1.fc22
Binary provides are Ok.


$ rpmlint perl-MCE.spec perl-MCE-1.520-1.fc22.*rpm
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
Rpmlint is ok


Package APPROVED.

Comment 2 Petr Šabata 2014-11-11 13:05:11 UTC
Thanks, Jitka.

Comment 3 Petr Šabata 2014-11-11 13:06:56 UTC
New Package SCM Request
=======================
Package Name: perl-MCE
Short Description: Many-core Engine for Perl providing parallel processing capabilities
Upstream URL: http://search.cpan.org/dist/MCE/
Owners: psabata jplesnik ppisar
Branches: f19 f20 f21 el6 epel7
InitialCC: perl-sig

Comment 4 Gwyn Ciesla 2014-11-11 13:51:34 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2014-11-11 14:33:10 UTC
perl-MCE-1.520-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/perl-MCE-1.520-1.fc21

Comment 6 Fedora Update System 2014-11-11 14:33:51 UTC
perl-MCE-1.520-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-MCE-1.520-1.fc20

Comment 7 Fedora Update System 2014-11-11 14:34:22 UTC
perl-MCE-1.520-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-MCE-1.520-1.fc19

Comment 8 Fedora Update System 2014-11-11 14:36:03 UTC
perl-MCE-1.520-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-MCE-1.520-1.el7

Comment 9 Fedora Update System 2014-11-11 14:36:18 UTC
perl-MCE-1.520-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-MCE-1.520-1.el6

Comment 10 Fedora Update System 2014-11-22 12:33:39 UTC
perl-MCE-1.520-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 11 Fedora Update System 2014-11-22 12:44:53 UTC
perl-MCE-1.520-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 12 Fedora Update System 2014-11-30 19:16:34 UTC
perl-MCE-1.520-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 13 Fedora Update System 2014-11-30 19:18:37 UTC
perl-MCE-1.520-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 14 Fedora Update System 2014-12-06 10:28:59 UTC
perl-MCE-1.520-1.fc21 has been pushed to the Fedora 21 stable repository.